Index: code/branches/cpp11_v2/src/modules/overlays/FadeoutText.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/FadeoutText.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/FadeoutText.h	(revision 10817)
@@ -44,6 +44,6 @@
             virtual ~FadeoutText() {}
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
 
             inline void setDelay(float delay)
@@ -58,6 +58,6 @@
 
         private:
-            virtual void changedColour();
-            virtual void changedCaption();
+            virtual void changedColour() override;
+            virtual void changedCaption() override;
 
             void fadeout();
Index: code/branches/cpp11_v2/src/modules/overlays/GUIOverlay.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/GUIOverlay.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/GUIOverlay.h	(revision 10817)
@@ -44,11 +44,11 @@
             virtual ~GUIOverlay();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
             void setGUIName(const std::string& name);
             inline const std::string& getGUIName() const { return this->guiName_; }
 
-            virtual void changedVisibility();
-            virtual void changedOwner();
+            virtual void changedVisibility() override;
+            virtual void changedOwner() override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/overlays/OverlayText.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/OverlayText.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/OverlayText.h	(revision 10817)
@@ -52,5 +52,5 @@
         virtual ~OverlayText();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         void setCaption(const std::string& caption);
@@ -76,5 +76,5 @@
 
     protected:
-        virtual void sizeChanged();
+        virtual void sizeChanged() override;
         virtual void changedColour() {}
         virtual void changedCaption() {}
Index: code/branches/cpp11_v2/src/modules/overlays/debugging/DebugFPSText.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/debugging/DebugFPSText.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/debugging/DebugFPSText.h	(revision 10817)
@@ -43,5 +43,5 @@
         virtual ~DebugFPSText();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
     };
 }
Index: code/branches/cpp11_v2/src/modules/overlays/debugging/DebugPositionText.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/debugging/DebugPositionText.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/debugging/DebugPositionText.h	(revision 10817)
@@ -43,5 +43,5 @@
         virtual ~DebugPositionText();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
     };
 }
Index: code/branches/cpp11_v2/src/modules/overlays/debugging/DebugRTRText.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/debugging/DebugRTRText.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/debugging/DebugRTRText.h	(revision 10817)
@@ -43,5 +43,5 @@
         virtual ~DebugRTRText();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
     };
 }
Index: code/branches/cpp11_v2/src/modules/overlays/hud/AnnounceMessage.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/AnnounceMessage.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/AnnounceMessage.h	(revision 10817)
@@ -43,7 +43,7 @@
             virtual ~AnnounceMessage() {}
 
-            virtual void changedOwner();
+            virtual void changedOwner() override;
 
-            void announcemessage(const GametypeInfo* gtinfo, const std::string& message);
+            void announcemessage(const GametypeInfo* gtinfo, const std::string& message) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/ChatOverlay.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/ChatOverlay.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/ChatOverlay.h	(revision 10817)
@@ -49,5 +49,5 @@
 
         protected:
-            virtual void incomingChat(const std::string& message, const std::string& name);
+            virtual void incomingChat(const std::string& message, const std::string& name) override;
 
             std::list<Ogre::DisplayString> messages_;
Index: code/branches/cpp11_v2/src/modules/overlays/hud/CountDown.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/CountDown.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/CountDown.h	(revision 10817)
@@ -44,7 +44,7 @@
             virtual ~CountDown();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
+            virtual void tick(float dt) override;
 
             inline void setCounter(float value)
Index: code/branches/cpp11_v2/src/modules/overlays/hud/DeathMessage.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/DeathMessage.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/DeathMessage.h	(revision 10817)
@@ -43,7 +43,7 @@
             virtual ~DeathMessage() {}
 
-            virtual void changedOwner();
+            virtual void changedOwner() override;
 
-            void deathmessage(const GametypeInfo* gtinfo, const std::string& message);
+            void deathmessage(const GametypeInfo* gtinfo, const std::string& message) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/GametypeFadingMessage.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/GametypeFadingMessage.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/GametypeFadingMessage.h	(revision 10817)
@@ -43,7 +43,7 @@
             virtual ~GametypeFadingMessage();
 
-            virtual void changedOwner();
+            virtual void changedOwner() override;
 
-            void fadingmessage(const GametypeInfo* gtinfo, const std::string& message);
+            void fadingmessage(const GametypeInfo* gtinfo, const std::string& message) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/GametypeStaticMessage.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/GametypeStaticMessage.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/GametypeStaticMessage.h	(revision 10817)
@@ -46,7 +46,7 @@
             virtual ~GametypeStaticMessage();
 
-            virtual void changedOwner();
+            virtual void changedOwner() override;
 
-            void staticmessage(const GametypeInfo* gtinfo, const std::string& message, const ColourValue& colour);
+            void staticmessage(const GametypeInfo* gtinfo, const std::string& message, const ColourValue& colour) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDBar.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDBar.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDBar.h	(revision 10817)
@@ -51,5 +51,5 @@
         virtual ~BarColour() { }
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         void setColour(const ColourValue& colour) { this->colour_ = colour; }
@@ -71,5 +71,5 @@
         virtual ~HUDBar();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
 
         void clearColours();
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDBoostBar.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDBoostBar.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDBoostBar.h	(revision 10817)
@@ -43,6 +43,6 @@
         virtual ~HUDBoostBar();
 
-        virtual void tick(float dt);
-        virtual void changedOwner();
+        virtual void tick(float dt) override;
+        virtual void changedOwner() override;
 
     private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDEnemyHealthBar.cc
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDEnemyHealthBar.cc	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDEnemyHealthBar.cc	(revision 10817)
@@ -30,4 +30,5 @@
 
 #include "core/config/ConfigValueIncludes.h"
+#include "core/CoreIncludes.h"
 #include "worldentities/pawns/Pawn.h"
 
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDEnemyHealthBar.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDEnemyHealthBar.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDEnemyHealthBar.h	(revision 10817)
@@ -41,7 +41,7 @@
 
             void setConfigValues();
-            virtual void tick(float dt);
+            virtual void tick(float dt) override;
 
-            void changedOwner();
+            void changedOwner() override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDHealthBar.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDHealthBar.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDHealthBar.h	(revision 10817)
@@ -45,10 +45,10 @@
             virtual ~HUDHealthBar();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
-            virtual void changedOwner();
-            virtual void changedOverlayGroup();
-            virtual void changedVisibility();
-            virtual void changedName();
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
+            virtual void changedOwner() override;
+            virtual void changedOverlayGroup() override;
+            virtual void changedVisibility() override;
+            virtual void changedName() override;
 
             inline void setTextFont(const std::string& font)
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDNavigation.h	(revision 10817)
@@ -51,19 +51,19 @@
             void setConfigValues();
 
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void tick(float dt);
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void tick(float dt) override;
 
             // RadarListener interface
-            virtual void addObject(RadarViewable* object);
-            virtual void removeObject(RadarViewable* viewable);
-            virtual void objectChanged(RadarViewable* viewable);
+            virtual void addObject(RadarViewable* object) override;
+            virtual void removeObject(RadarViewable* viewable) override;
+            virtual void objectChanged(RadarViewable* viewable) override;
 
-            virtual void changedOwner();
-            virtual void sizeChanged();
-            virtual void angleChanged() { }
-            virtual void positionChanged() { }
-            virtual void radarTick(float dt) {}
+            virtual void changedOwner() override;
+            virtual void sizeChanged() override;
+            virtual void angleChanged() override { }
+            virtual void positionChanged() override { }
+            virtual void radarTick(float dt) override {}
 
-            inline float getRadarSensitivity() const
+            inline float getRadarSensitivity() const override
                 { return 1.0f; }
 
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDRadar.h	(revision 10817)
@@ -50,6 +50,6 @@
         virtual ~HUDRadar();
 
-        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-        virtual void changedOwner();
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+        virtual void changedOwner() override;
         void setConfigValues();
 
@@ -80,5 +80,5 @@
         void set3DMaterialBack(std::string material3DBack) { this->material3DBack_ = material3DBack; }
 
-        float getRadarSensitivity() const { return this->sensitivity_; }
+        float getRadarSensitivity() const override { return this->sensitivity_; }
         // used also by RadarListener interface!
         void setRadarSensitivity(float sensitivity) { this->sensitivity_ = sensitivity; }
@@ -89,8 +89,8 @@
 
         // RadarListener interface
-        virtual void addObject(RadarViewable* viewable);
-        virtual void removeObject(RadarViewable* viewable);
-        virtual void objectChanged( RadarViewable* rv );
-        void radarTick(float dt);
+        virtual void addObject(RadarViewable* viewable) override;
+        virtual void removeObject(RadarViewable* viewable) override;
+        virtual void objectChanged( RadarViewable* rv ) override;
+        void radarTick(float dt) override;
         bool showObject( RadarViewable* rv ); //!< Do not display an object on radar, if showObject(.) is false.
 
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDSpeedBar.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDSpeedBar.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDSpeedBar.h	(revision 10817)
@@ -44,6 +44,6 @@
         virtual ~HUDSpeedBar();
 
-        virtual void tick(float dt);
-        virtual void changedOwner();
+        virtual void tick(float dt) override;
+        virtual void changedOwner() override;
 
     private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/HUDTimer.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/HUDTimer.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/HUDTimer.h	(revision 10817)
@@ -43,7 +43,7 @@
         virtual ~HUDTimer();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
 
-        virtual void changedOwner();
+        virtual void changedOwner() override;
 
     private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/KillMessage.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/KillMessage.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/KillMessage.h	(revision 10817)
@@ -43,7 +43,7 @@
             virtual ~KillMessage() {}
 
-            virtual void changedOwner();
+            virtual void changedOwner() override;
 
-            void killmessage(const GametypeInfo* gtinfo, const std::string& message);
+            void killmessage(const GametypeInfo* gtinfo, const std::string& message) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/LastManStandingInfos.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/LastManStandingInfos.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/LastManStandingInfos.h	(revision 10817)
@@ -43,7 +43,7 @@
             virtual ~LastManStandingInfos();
 
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
 
             inline void setShowLives(bool value)
Index: code/branches/cpp11_v2/src/modules/overlays/hud/LastTeamStandingInfos.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/LastTeamStandingInfos.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/LastTeamStandingInfos.h	(revision 10817)
@@ -43,7 +43,7 @@
             virtual ~LastTeamStandingInfos();
 
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
 
             inline void setShowLives(bool value)
Index: code/branches/cpp11_v2/src/modules/overlays/hud/PauseNotice.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/PauseNotice.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/PauseNotice.h	(revision 10817)
@@ -42,8 +42,8 @@
             PauseNotice(Context* context);
 
-            virtual void changedOwner();
+            virtual void changedOwner() override;
 
         protected:
-            virtual void changedTimeFactor(float factor_new, float factor_old);
+            virtual void changedTimeFactor(float factor_new, float factor_old) override;
 
         private:
Index: code/branches/cpp11_v2/src/modules/overlays/hud/TeamBaseMatchScore.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/hud/TeamBaseMatchScore.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/hud/TeamBaseMatchScore.h	(revision 10817)
@@ -43,7 +43,7 @@
             virtual ~TeamBaseMatchScore();
 
-            virtual void tick(float dt);
-            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            virtual void changedOwner();
+            virtual void tick(float dt) override;
+            virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode) override;
+            virtual void changedOwner() override;
 
             inline void setShowBases(bool value)
Index: code/branches/cpp11_v2/src/modules/overlays/stats/Scoreboard.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/stats/Scoreboard.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/stats/Scoreboard.h	(revision 10817)
@@ -44,5 +44,5 @@
         virtual ~Scoreboard();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
 
         inline void setCreateLines(CreateLines* cl)
@@ -51,5 +51,5 @@
             { return this->createlines_; }
 
-        virtual void changedVisibility();
+        virtual void changedVisibility() override;
 
     private: // functions
Index: code/branches/cpp11_v2/src/modules/overlays/stats/Stats.h
===================================================================
--- code/branches/cpp11_v2/src/modules/overlays/stats/Stats.h	(revision 10774)
+++ code/branches/cpp11_v2/src/modules/overlays/stats/Stats.h	(revision 10817)
@@ -46,5 +46,5 @@
         void setConfigValues();
 
-        virtual void tick(float dt);
+        virtual void tick(float dt) override;
 
     private: // variables
